from AppCode.Config import DBConfig
import mysql.connector

class YearGet:

    def __init__(self):
        self.conn = DBConfig.get_db_connection()
        self.cursor = self.conn.cursor(dictionary=True)

    def get_year_by_model(self, proc_name):
        try:
            self.cursor.callproc(proc_name)

            years = []

            for result in self.cursor.stored_results():
                    rows = result.fetchall()
                    years = [row["year"] for row in rows]

            return years
        
        except mysql.connector.Error as e:
            print("MySQL Error:", e)
            return []

    def close(self):
        self.cursor.close()
        self.conn.close()
